package com.nokia.dingtalk_api.config;

import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * api文档配置
 *
 */
@Configuration
public class ApiDocConfig {
    @Bean
    public OpenAPI openapi() {
        return new OpenAPI().info(new Info().title("钉钉机器人接口").description("钉钉机器人接口").version("1.0"));
    }
}