package com.nokia.dingtalk_api.mapper;

import com.nokia.dingtalk_api.pojos.po.AlertConfigPo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nokia.dingtalk_api.pojos.vo.cms.GetAlertConfigVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 告警配置 Mapper 接口
 * </p>
 *
 */
@Mapper
public interface AlertConfigMapper extends BaseMapper<AlertConfigPo> {

    @Select("""
select
    a.*,
    b.robot_name,
    b.robot_secret
from
    dingtalk.alert_config a
left join dingtalk.robot b on
    a.robot_code = b.robot_code
where
    a.id = 1
""")
    GetAlertConfigVo getConfig();
}
