package com.nokia.dingtalk_api.pojos.dto.cms;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class AddAppRobotCommandDto {
    @Schema(description = "应用编码")
    @NotBlank
    private String appId;
    @Schema(description = "机器人编码")
    @NotBlank
    private String robotCode;
    @Schema(description = "命令")
    @NotBlank
    private String command;
    @Schema(description = "应用方接口")
    @NotBlank
    private String url;
    @Schema(description = "说明")
    private String description;
}
