package com.nokia.dingtalk_api.pojos.dto.cms;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class AddRobotDto {
    @Schema(description = "机器人编码")
    @NotBlank
    private String robotCode;
    @Schema(description = "机器人密钥")
    @NotBlank
    private String robotSecret;
    @Schema(description = "机器人名称")
    @NotBlank
    private String robotName;
}
