package com.nokia.dingtalk_api.pojos.dto.cms;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class AlertConfigDto {
    @Schema(description = "机器人编码")
    private String robotCode;
    @Schema(description = "群id")
    private String openConversationId;
    @Schema(description = "接收机器人消息的用户的手机号列表")
    private String phones;
    @Schema(description = "接收机器人消息的用户的userId列表")
    private String userIds;
}
