package com.nokia.dingtalk_api.pojos.dto.cms;

import com.nokia.dingtalk_api.pojos.dto.PageDto;
import com.nokia.dingtalk_api.pojos.enums.ListAppSortEnum;
import com.nokia.dingtalk_api.pojos.enums.SortEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Map;

@EqualsAndHashCode(callSuper = true)
@Data
public class ListAppDto extends PageDto {
    @Schema(description = "应用名称")
    private String appName;
    @Schema(description = "应用编码")
    private String appId;
    @Schema(description = "排序")
    private Map<ListAppSortEnum, SortEnum> sort;
}
