package com.nokia.dingtalk_api.pojos.dto.open;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

@Data
public class GroupSendSampleMarkdownDto {
    @Schema(description = "标题", example = "title")
    @NotBlank(message = "title不能为空")
    private String title;
    @Schema(description = "内容", example = "text")
    @NotBlank(message = "text不能为空")
    private String text;
    @Schema(description = "机器人的编码", example = "dingue4kfzdxbynxxxxxx")
    @NotBlank(message = "robotCode不能为空")
    private String robotCode;
    @Schema(description = "会话ID", example = "cid6KeBBLoveMJOGXoYKF5x7Eeixxxx==")
    @NotBlank(message = "openConversationId不能为空")
    private String openConversationId;
}
