package com.nokia.dingtalk_api.pojos.enums;

public enum ListAppTaskSortEnum {
    /**
     * 任务id
     */
    taskId("task_id"),
    /**
     * 任务名称
     */
    taskName("task_name"),
    /**
     * 任务状态
     */
    status("status"),
    /**
     * 机器人编码
     */
    robotCode("robot_code"),
    /**
     * 机器人名称
     */
    robotName("robot_name"),
    /**
     * 会话类型
     */
    conversationType("conversation_type"),
    /**
     * 群id
     */
    openConversationId("open_conversation_id"),
    /**
     * 接收机器人消息的用户的手机号列表
     */
    phones("phones"),
    /**
     * 接收机器人消息的用户的userId列表
     */
    userIds("user_ids"),
    /**
     * sftp id
     */
    sftpId("sftp_id"),
    /**
     * 主机
     */
    host("host"),
    /**
     * 创建时间
     */
    createTime("create_time"),
    /**
     * 更新时间
     */
    updateTime("update_time"),
    ;

    public final String value;

    ListAppTaskSortEnum(String value) {
        this.value = value;
    }
}
