package com.nokia.dingtalk_api.pojos.enums;

import java.util.concurrent.TimeUnit;

public enum RedisPrefixEnum {
    /**
     * 钉钉访问凭证
     */
    DINGTALK_ACCESS_TOKEN("dat:", TimeUnit.SECONDS),
    ;

    public final String prefix;
    public final TimeUnit timeUnit;

    RedisPrefixEnum(String prefix, TimeUnit timeUnit) {
        this.prefix = prefix;
        this.timeUnit = timeUnit;
    }
}
