package com.nokia.dingtalk_api.pojos.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PageVo<T> {
    @Schema(description = "总数")
    private Long total;
    @Schema(description = "列表")
    private List<T> list;
}
