package com.nokia.dingtalk_api.pojos.vo.cms;

import com.nokia.dingtalk_api.pojos.po.AppSftpPo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ListAppSftpVo {
    @Schema(description = "sftp id")
    private String sftpId;
    @Schema(description = "应用编码")
    private String appId;
    @Schema(description = "主机")
    private String host;
    @Schema(description = "端口")
    private Integer port;
    @Schema(description = "用户名")
    private String username;
    @Schema(description = "密码")
    private String password;
    @Schema(description = "创建时间")
    private LocalDateTime createTime;
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    public ListAppSftpVo(AppSftpPo po) {
        this.sftpId = po.getSftpId();
        this.appId = po.getAppId();
        this.host = po.getHost();
        this.port = po.getPort();
        this.username = po.getUsername();
        this.password = po.getPassword();
        this.createTime = po.getCreateTime();
        this.updateTime = po.getUpdateTime();
    }
}
