package com.nokia.dingtalk_api.pojos.vo.cms;

import com.nokia.dingtalk_api.pojos.po.RobotPo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ListRobotVo {
    @Schema(description = "机器人编码")
    private String robotCode;
    @Schema(description = "机器人密钥")
    private String robotSecret;
    @Schema(description = "机器人名称")
    private String robotName;
    @Schema(description = "创建时间")
    private LocalDateTime createTime;
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    public ListRobotVo(RobotPo po) {
        this.robotCode = po.getRobotCode();
        this.robotSecret = po.getRobotSecret();
        this.robotName = po.getRobotName();
        this.createTime = po.getCreateTime();
        this.updateTime = po.getUpdateTime();
    }
}
