package com.nokia.dingtalk_api;

import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.DataSourceConfig;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;

public class MybatisPlusGeneratorTest {
    public static void main(String[] args) {
        FastAutoGenerator.create(
                new DataSourceConfig.Builder("jdbc:postgresql://192.168.50.3:15432/demo",
                        "postgres",
                        "NFQCgBA6YhNvgAqG6THw").schema("dingtalk"))
                .globalConfig(builder -> {
                    builder.outputDir("z:/").disableOpenDir();
                })
                .packageConfig(builder -> builder
                        .parent("com.nokia.dingtalk_api")
                        .entity("pojos.po")
                        .mapper("mapper")
                        .service("dao")
                        .serviceImpl("dao.impl")
                        .xml("mapper.xml")
                )
                .strategyConfig(builder -> {
                    builder
                            .entityBuilder()
                            .formatFileName("%sPo")
                            .enableFileOverride()
                            .enableLombok()
                            .controllerBuilder()
                            .enableFileOverride()
                            .mapperBuilder()
                            .enableFileOverride()
                            .serviceBuilder()
                            .enableFileOverride();
                })
                .templateEngine(new FreemarkerTemplateEngine())
                .execute();
    }
}
