package com.nokia.dingtalk_api.annotation;

import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.enums.ParameterIn;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

@Retention(RetentionPolicy.RUNTIME)
@Parameter(name = "APP_ID", description = "应用编码", in = ParameterIn.HEADER, required = true)
@Parameter(name = "TIMESTAMP", description = "时间戳", in = ParameterIn.HEADER, required = true)
@Parameter(name = "TRACE_ID", description = "序列号", in = ParameterIn.HEADER, required = true)
@Parameter(name = "TOKEN", description = "访问令牌", in = ParameterIn.HEADER, required = true)
public @interface RequiredHeader {
}
