package com.nokia.dingtalk_api.pojos.dto.cms;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import lombok.Data;

import java.util.Set;

@Data
public class AddAppRobotDto {
    @Schema(description = "应用编码")
    @NotBlank
    private String appId;
    @Schema(description = "机器人编码")
    @NotEmpty
    private Set<String> robotCodes;
}
