package com.nokia.dingtalk_api.pojos.dto.cms;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

@Data
public class AddAppSftpDto {
    @Schema(description = "应用编码")
    @NotBlank
    private String appId;
    @Schema(description = "sftp id")
    @NotBlank
    private String sftpId;
    @Schema(description = "主机")
    @NotBlank
    private String host;
    @Schema(description = "端口")
    @NotNull
    private Integer port;
    @Schema(description = "用户名")
    @NotBlank
    private String username;
    @Schema(description = "密码")
    @NotBlank
    private String password;
}
