package com.nokia.dingtalk_api.pojos.dto.cms;

import io.swagger.v3.oas.annotations.Hidden;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class RunAppTaskDto {
    @Schema(description = "任务id")
    @NotBlank
    private String taskId;
    /**
     * 日期参数
     */
    @Hidden
    private String dateString;
}
