package com.nokia.dingtalk_api.pojos.vo.cms;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class GetAppRobotOptionsVo {
    @Schema(description = "机器人编码")
    private String value;
    @Schema(description = "机器人名称")
    private String label;

    public GetAppRobotOptionsVo(ListAppRobotVo t) {
        this.value = t.getRobotCode();
        this.label = t.getRobotName() + " " + t.getRobotCode();
    }
}
