package com.nokia.dingtalk_api.pojos.vo.cms;

import com.nokia.dingtalk_api.pojos.po.AppSftpPo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class GetAppSftpOptionsVo {
    @Schema(description = "sftp id")
    private String value;
    @Schema(description = "sftp信息")
    private String label;

    public GetAppSftpOptionsVo(AppSftpPo t) {
        this.value = t.getSftpId();
        this.label = t.getUsername() + "@" + t.getHost();
    }
}
