package com.nokia.dingtalk_api.pojos.vo.cms;

import com.nokia.dingtalk_api.pojos.po.RobotCommandPo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ListAppRobotCommandVo {
    @Schema(description = "命令")
    private String command;
    @Schema(description = "应用方接口")
    private String url;
    @Schema(description = "说明")
    private String description;
    @Schema(description = "创建时间")
    private LocalDateTime createTime;
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    public ListAppRobotCommandVo(RobotCommandPo po) {
        this.command = po.getCommand();
        this.url = po.getUrl();
        this.description = po.getDescription();
        this.createTime = po.getCreateTime();
        this.updateTime = po.getUpdateTime();
    }
}
