package com.nokia.dingtalk_api.pojos.vo.cms;

import com.nokia.dingtalk_api.pojos.po.AppPo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class ListAppVo {
    @Schema(description = "应用编码")
    private String appId;
    @Schema(description = "应用名称")
    private String appName;
    @Schema(description = "应用密钥")
    private String appSecret;
    @Schema(description = "创建时间")
    private LocalDateTime createTime;
    @Schema(description = "更新时间")
    private LocalDateTime updateTime;

    public ListAppVo(AppPo po) {
        this.appId = po.getAppId();
        this.appName = po.getAppName();
        this.appSecret = po.getAppSecret();
        this.createTime = po.getCreateTime();
        this.updateTime = po.getUpdateTime();
    }
}
