package com.nokia.dingtalk_api.pojos.vo.open;

import com.dingtalk.api.response.OapiV2UserGetbymobileResponse;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class GetUserIdByMobileVo {
    @Schema(description = "员工的userId", example = "xxxx")
    private String userId;

    public GetUserIdByMobileVo(OapiV2UserGetbymobileResponse response) {
        this.userId = response.getResult().getUserid();
    }
}
