package com.nokia.dingtalk_api.pojos.vo.open;

import com.aliyun.dingtalkrobot_1_0.models.OrgGroupSendResponse;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class GroupSendVo {
    @Schema(description = "加密消息id，根据此id可查询消息已读状态和撤回消息", example = "jkasdfb8va9hndjksnxxxx")
    private String processQueryKey;

    public GroupSendVo(OrgGroupSendResponse response) {
        this.processQueryKey = response.body.processQueryKey;
    }
}
