package com.nokia.dingtalk_api.pojos.vo.open;

import com.aliyun.dingtalkrobot_1_0.models.OrgGroupRecallResponse;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class RecallGroupMessagesVo {
    @Schema(description = "撤回成功的消息发送任务ID列表")
    private List<String> successResult;
    @Schema(description = "撤回失败的消息发送任务ID列表及对应的失败原因")
    private Map<String, String> failedResult;

    public RecallGroupMessagesVo(OrgGroupRecallResponse response) {
        this.successResult = response.body.successResult;
        this.failedResult = response.body.failedResult;
    }
}
