package com.nokia.dingtalk_api.pojos.vo.open;

import com.dingtalk.api.response.OapiMediaUploadResponse;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class UploadVo {
    @Schema(description = "媒体文件上传后获取的唯一标识", example = "@#lAzPDgCwPn1mJiDOQoLpxxxx")
    private String mediaId;

    public UploadVo(OapiMediaUploadResponse response) {
        this.mediaId = response.getMediaId();
    }
}
